<?php
add_editor_style(get_template_directory_uri() .'/css/ector.css');
add_editor_style(  '//netdna.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css' );

add_action('init', 'themepark_button');   
function themepark_button() {   
    
    if ( ! current_user_can('edit_posts') && ! current_user_can('edit_pages') ) {   
        return;   
    }   
    
    if ( get_user_option('rich_editing') == 'true' ) {   
  
        add_filter( 'mce_external_plugins', 'add_themepark_splugin' );   
        add_filter( 'mce_buttons', 'register_themepark_sbutton' );   
    }   
}  

function register_themepark_sbutton( $buttons ) {   
        array_push( $buttons, "", "icons" ); 
        //array_push( $buttons, "", "bttons" ); 
        //array_push( $buttons, "", "download" ); 
        return $buttons;   
    }   

 function add_themepark_splugin( $plugin_array ) {   
       $plugin_array['icons'] = get_template_directory_uri().'/ector/js/icons.js';; 
   
       return $plugin_array;   
    }  